.hidden {
  display: none;
}
.headingGrid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  position: sticky;
  top: 0.5vh;
  z-index: 80;
}
.shortHeading {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 30%;
  height: 4vh;
  cursor: pointer;
  padding: 25px;
  box-shadow: 0 4px 8px 0 rgba(127, 51, 77, 0.9);
  background: radial-gradient(rgb(65, 112, 246), rgb(165, 55, 265));
}

.stickyHeading {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 90%;
  height: 4vh;
  cursor: pointer;
  padding: 0vh;
  box-shadow: 0 4px 8px 0 rgba(127, 51, 77, 0.9);
  background: radial-gradient(rgb(65, 112, 246), rgb(165, 55, 265));
}
.stickyActive {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 90%;
  height: 4vh;
  cursor: pointer;
  padding: 0vh;
  box-shadow: 0 4px 8px 0 rgba(127, 51, 77, 0.9);
  background-color: rgb(226, 62, 87);
}
.stickyHeading h3 {
  text-align: center;
  text-shadow: 1px 1px 2px rgb(165, 55, 265);
  color: black;
}
.stickyheading:hover {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 1);
}

.profilePhoto {
  border-radius: 50%;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}
.profileContainer {
  border-right: 3px solid rgb(118, 56, 77);
  border-bottom: 3px solid rgb(118, 56, 77);
}
.profileName {
  display: flex;
  align-items: center;
  justify-content: center;
  color: rgb(226, 62, 87);
}
.profileName + p {
  color: rgb(226, 62, 87);
  display: flex;
  align-items: center;
  justify-content: center;
}
.updateProfile:hover {
  cursor: pointer;
  color: blueviolet;
}

Link :link {
  text-decoration: none;
}
Link :visited {
  text-decoration: none;
}

Link :hover {
  text-decoration: none;
}
Link :active {
  text-decoration: none;
}
.profileItems {
  list-style-type: none;
  padding: 0px;
}
.profileItems li {
  height: 5vh;
  color: white;
  background-color: rgb(226, 62, 87);
}
.profileItems li:hover {
  background-color: rgb(226, 62, 87);
  color: rgb(42, 24, 59);
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 1);
  cursor: pointer;
}
.profileItems b {
  vertical-align: middle;
  line-height: 50px;
}
#favoritesButton {
  background-color: rgb(226, 62, 87);
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 1);
  color: rgb(42, 24, 59);
}
#profileButton {
  background-color: rgb(226, 62, 87);
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 1);
  color: rgb(42, 24, 59);
}
#bio {
  height: 200px;
  font-size: 14pt;
}
.bioCard {
  background: #0d3b5d;
  margin: 0px 50px 50px 10px;
  box-shadow: 0 8px 16px 0 rgba(255, 255, 255, 0.2);
}

.blogText {
  display: block;
  margin-left: auto;
  margin-right: auto;
  padding: 50px 0px 50px 0px;
  height: 75%;
  width: 75%;
}
#search {
  margin-top: 10px;
  margin-bottom: 10px;
}
#searchBar {
  padding-left: 20px;
  box-shadow: 0 4px 8px 0 rgba(127, 51, 77, 0.9);
}
.searchCategory {
  border-radius: 50px 0px 0px 50px;
  box-shadow: 0 4px 8px 0 rgba(127, 51, 77, 0.9);
  border: none;
}
.button {
  background: linear-gradient(rgb(65, 112, 246), rgb(165, 55, 265));
  border-radius: 0px 25px 25px 0px;
  box-shadow: 0 4px 8px 0 rgba(127, 51, 77, 0.9);
}
.button:hover {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
}
.bioPositioning {
  grid-row-start: 3;
  grid-row-end: 5;
}
.subGrid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr;
  grid-row-gap: 10px;
  grid-column-gap: 10px;
  margin-top: 40px;
  overflow-y: scroll;
}

/* SubGrid Scrollbar */
.subGrid::-webkit-scrollbar {
  width: 5px;
}
/* Track */
.subGrid::-webkit-scrollbar-track {
  background: rgb(42, 24, 59);
}
/* Handle */
.subGrid::-webkit-scrollbar-thumb {
  background: linear-gradient(rgb(65, 112, 246), rgb(165, 55, 265));
  border-radius: 50px;
}
.albumCard {
  background: rgb(42, 24, 59);
  color: #e23e57;
}
.headingGrid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  position: sticky;
  top: 0.5vh;
  z-index: 100;
}
.shortHeading {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 30%;
  height: 4vh;
  cursor: pointer;
  padding: 25px;
  box-shadow: 0 4px 8px 0 rgba(127, 51, 77, 0.9);
  background: radial-gradient(rgb(65, 112, 246), rgb(165, 55, 265));
}

.stickyHeading {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 90%;
  height: 4vh;
  cursor: pointer;
  padding: 0vh;
  box-shadow: 0 4px 8px 0 rgba(127, 51, 77, 0.9);
  background: radial-gradient(rgb(65, 112, 246), rgb(165, 55, 265));
}
.stickyActive {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 90%;
  height: 4vh;
  cursor: pointer;
  padding: 0vh;
  box-shadow: 0 4px 8px 0 rgba(127, 51, 77, 0.9);
  background-color: rgb(226, 62, 87);
}
.stickyHeading h3 {
  text-align: center;
  text-shadow: 1px 1px 2px rgb(165, 55, 265);
  color: black;
}
.stickyheading:hover {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 1);
}

.profilePhoto {
  border-radius: 50%;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}
.profileContainer {
  border-right: 3px solid rgb(118, 56, 77);
  border-bottom: 3px solid rgb(118, 56, 77);
}
.profileName {
  display: flex;
  align-items: center;
  justify-content: center;
  color: rgb(226, 62, 87);
}
.profileName + p {
  color: rgb(226, 62, 87);
  display: flex;
  align-items: center;
  justify-content: center;
}
.updateProfile:hover {
  cursor: pointer;
  color: blueviolet;
}

Link :link {
  text-decoration: none;
}
Link :visited {
  text-decoration: none;
}

Link :hover {
  text-decoration: none;
}
Link :active {
  text-decoration: none;
}
.profileItems {
  list-style-type: none;
  padding: 0px;
}
.profileItems li {
  height: 5vh;
  color: white;
  background-color: rgb(226, 62, 87);
}
.profileItems li:hover {
  background-color: rgb(226, 62, 87);
  color: rgb(42, 24, 59);
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 1);
  cursor: pointer;
}
.profileItems b {
  vertical-align: middle;
  line-height: 50px;
}
#favoritesButton {
  background-color: rgb(226, 62, 87);
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 1);
  color: rgb(42, 24, 59);
}
#profileButton {
  background-color: rgb(226, 62, 87);
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 1);
  color: rgb(42, 24, 59);
}

.blogText {
  margin-top: 50px;
}
#search {
  margin-top: 10px;
  margin-bottom: 10px;
}
#searchBar {
  padding-left: 20px;
  box-shadow: 0 4px 8px 0 rgba(127, 51, 77, 0.9);
}
.searchCategory {
  border-radius: 50px 0px 0px 50px;
  box-shadow: 0 4px 8px 0 rgba(127, 51, 77, 0.9);
  border: none;
}
.button {
  background: linear-gradient(rgb(65, 112, 246), rgb(165, 55, 265));
  border-radius: 0px 25px 25px 0px;
  box-shadow: 0 4px 8px 0 rgba(127, 51, 77, 0.9);
}
.button:hover {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
}
.bioPositioning {
  grid-row-start: 3;
  grid-row-end: 5;
}
.subGrid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr;
  grid-row-gap: 10px;
  grid-column-gap: 10px;
  margin-top: 40px;
  overflow-y: scroll;
}

/* SubGrid Scrollbar */
.subGrid::-webkit-scrollbar {
  width: 5px;
}
/* Track */
.subGrid::-webkit-scrollbar-track {
  background: rgb(42, 24, 59);
}
/* Handle */
.subGrid::-webkit-scrollbar-thumb {
  background: linear-gradient(rgb(65, 112, 246), rgb(165, 55, 265));
  border-radius: 50px;
}
.albumCard {
  background: rgb(42, 24, 59);
  color: #e23e57;
}
.albumContainer > h4 {
  padding-top: 10px;
}
.albumContainer img {
  width: 75%;
  height: 75%;
}
.albumContainer:hover img {
  box-shadow: 0 8px 16px 0 rgba(255, 255, 255, 0.2);
}
.albumContainer:hover h4 {
  color: rgb(226, 62, 87);
}
.albumContainer:hover p {
  color: rgb(226, 62, 87);
}

.externalNav {
  height: 96vh;
  border-left: 3px solid rgb(118, 56, 77);
}
.contact {
  color: rgb(226, 62, 87);
}
.contactH {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  margin: auto;
  color: rgb(226, 62, 87);
}
